]> WPIA git - gigi.git/commitdiff
UPD: split debian packages, so we have a "-testing" package
authorFelix Dörre <felix@dogcraft.de>
Tue, 4 Nov 2014 16:08:08 +0000 (17:08 +0100)
committerJanis Streib <janis@dogcraft.de>
Wed, 31 Dec 2014 01:35:59 +0000 (02:35 +0100)
build.xml
debian/cacert-gigi-testing.cacert-gigi-signer.init [new file with mode: 0644]
debian/cacert-gigi-testing.cacert-gigi.init [new file with mode: 0644]
debian/cacert-gigi-testing.docs [moved from debian/docs with 100% similarity]
debian/cacert-gigi-testing.manpages [new file with mode: 0644]
debian/cacert-gigi-testing.postinst [moved from debian/postinst with 100% similarity]
debian/cacert-gigi.docs [new file with mode: 0644]
debian/cacert-gigi.postinst [new file with mode: 0644]
debian/control
debian/rules

index f627816466ed56d206a2e92bb93a8f784167ede3..ca9ef9264516a7fefe1097728eede28825f7ca85 100644 (file)
--- a/build.xml
+++ b/build.xml
                <mkdir dir="${env.DESTDIR}/usr/lib/jni"/>
                <copy file="natives/libsetuid.so" todir="${env.DESTDIR}/usr/lib/jni"/>
        </target>
-       <target name="install" depends="pack">
+        <target name="install" depends="install-common">
+               <mkdir dir="${env.DESTDIR}/usr/share/cacert-gigi/static"/>
+                <copy todir="${env.DESTDIR}/usr/share/cacert-gigi/static">
+                       <fileset dir="static"/>
+               </copy>
+                <delete file="${env.DESTDIR}/usr/share/cacert-gigi/static/static/images/cacert4-test.png"/>
+        </target>
+        <target name="install-testing" depends="install-common">
+               <mkdir dir="${env.DESTDIR}/usr/share/cacert-gigi/static"/>
+                <copy todir="${env.DESTDIR}/usr/share/cacert-gigi/static">
+                       <fileset dir="static"/>
+               </copy>
+                <move file="${env.DESTDIR}/usr/share/cacert-gigi/static/static/images/cacert4-test.png" tofile="${env.DESTDIR}/usr/share/cacert-gigi/static/static/images/cacert4.png"/>
+                <delete file="${env.DESTDIR}/usr/share/cacert-gigi/static/static/images/cacert4-test.png"/>
+        </target>
+
+       <target name="install-common" depends="pack">
                <mkdir dir="${env.DESTDIR}/usr/share/java"/>
                <copy file="gigi.jar" tofile="${env.DESTDIR}/usr/share/java/gigi.jar"/>
 
                <mkdir dir="${env.DESTDIR}/usr/share/dbconfig-common/data/${PACKAGE}/install/"/>
                 <copy file="doc/tableStructure.sql" tofile="${env.DESTDIR}/usr/share/dbconfig-common/data/${PACKAGE}/install/mysql.sql"/>
 
-               <mkdir dir="${env.DESTDIR}/usr/share/cacert-gigi/static"/>
-                <copy todir="${env.DESTDIR}/usr/share/cacert-gigi/static">
-                       <fileset dir="static"/>
-               </copy>
                <mkdir dir="${env.DESTDIR}/var/lib/cacert-gigi/doc"/>
                 <exec executable="ln">
                   <arg value="-s"/>
diff --git a/debian/cacert-gigi-testing.cacert-gigi-signer.init b/debian/cacert-gigi-testing.cacert-gigi-signer.init
new file mode 100644 (file)
index 0000000..82d3514
--- /dev/null
@@ -0,0 +1,171 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:          cacert-gigi-signer
+# Required-Start:    $local_fs $network $remote_fs $syslog mysql
+# Required-Stop:     $local_fs $network $remote_fs $syslog mysql
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: <Enter a short description of the software>
+# Description:       <Enter a long description of the software>
+#                    <...>
+#                    <...>
+### END INIT INFO
+
+# Author: unknown <software@cacert.org>
+
+# Do NOT "set -e"
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="cacert-gigi-signer"
+NAME=cacert-gigi-signer
+DAEMON=`which java`
+DAEMON_ARGS="-cp /usr/share/java/mysql-connector-java.jar:/usr/share/java/gigi.jar org.cacert.gigi.util.SimpleSigner"
+PIDFILE=/var/run/$NAME.pid
+SCRIPTNAME=/etc/init.d/$NAME
+DIR=/var/lib/cacert-gigi
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
+# and status_of_proc is working.
+. /lib/lsb/init-functions
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+        if [ ! -f /var/lib/cacert-gigi/config/gigi.properties ]; then
+                echo Missing signer-configfile
+                return 2
+        fi
+       # Return
+       #   0 if daemon has been started
+       #   1 if daemon was already running
+       #   2 if daemon could not be started
+       start-stop-daemon -b --start --quiet --pidfile $PIDFILE -d $DIR --startas $DAEMON --test > /dev/null \
+               || return 1
+       start-stop-daemon -b --start --quiet --pidfile $PIDFILE --make-pidfile -d $DIR --startas $DAEMON -- \
+               $DAEMON_ARGS \
+               || return 2
+       # The above code will not work for interpreted scripts, use the next
+       # six lines below instead (Ref: #643337, start-stop-daemon(8) )
+       #start-stop-daemon --start --quiet --pidfile $PIDFILE --startas $DAEMON \
+       #       --name $NAME --test > /dev/null \
+       #       || return 1
+       #start-stop-daemon -b --start --quiet --pidfile $PIDFILE --startas $DAEMON \
+       #       --name $NAME -- $DAEMON_ARGS \
+       #       || return 2
+
+       # Add code here, if necessary, that waits for the process to be ready
+       # to handle requests from services started subsequently which depend
+       # on this one.  As a last resort, sleep for some time.
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+       # Return
+       #   0 if daemon has been stopped
+       #   1 if daemon was already stopped
+       #   2 if daemon could not be stopped
+       #   other if a failure occurred
+       start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
+       RETVAL="$?"
+       [ "$RETVAL" = 2 ] && return 2
+       # Wait for children to finish too if this is a daemon that forks
+       # and if the daemon is only ever run from this initscript.
+       # If the above conditions are not satisfied then add some other code
+       # that waits for the process to drop all resources that could be
+       # needed by services started subsequently.  A last resort is to
+       # sleep for some time.
+       start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --pidfile $PIDFILE
+       [ "$?" = 2 ] && return 2
+       # Many daemons don't delete their pidfiles when they exit.
+       rm -f $PIDFILE
+       return "$RETVAL"
+}
+
+#
+# Function that sends a SIGHUP to the daemon/service
+#
+do_reload() {
+       #
+       # If the daemon can reload its configuration without
+       # restarting (for example, when it is sent a SIGHUP),
+       # then implement that here.
+       #
+       start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
+       return 0
+}
+
+case "$1" in
+  start)
+       [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
+       do_start
+       case "$?" in
+               0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+       esac
+       ;;
+  stop)
+       [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+       do_stop
+       case "$?" in
+               0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+       esac
+       ;;
+  status)
+       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+       ;;
+  #reload|force-reload)
+       #
+       # If do_reload() is not implemented then leave this commented out
+       # and leave 'force-reload' as an alias for 'restart'.
+       #
+       #log_daemon_msg "Reloading $DESC" "$NAME"
+       #do_reload
+       #log_end_msg $?
+       #;;
+  restart|force-reload)
+       #
+       # If the "reload" option is implemented then remove the
+       # 'force-reload' alias
+       #
+       log_daemon_msg "Restarting $DESC" "$NAME"
+       do_stop
+       case "$?" in
+         0|1)
+               do_start
+               case "$?" in
+                       0) log_end_msg 0 ;;
+                       1) log_end_msg 1 ;; # Old process is still running
+                       *) log_end_msg 1 ;; # Failed to start
+               esac
+               ;;
+         *)
+               # Failed to stop
+               log_end_msg 1
+               ;;
+       esac
+       ;;
+  *)
+       #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+       echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+       exit 3
+       ;;
+esac
+
+:
diff --git a/debian/cacert-gigi-testing.cacert-gigi.init b/debian/cacert-gigi-testing.cacert-gigi.init
new file mode 100644 (file)
index 0000000..46235d4
--- /dev/null
@@ -0,0 +1,171 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:          cacert-gigi
+# Required-Start:    $local_fs $network $remote_fs $syslog mysql
+# Required-Stop:     $local_fs $network $remote_fs $syslog mysql
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: <Enter a short description of the software>
+# Description:       <Enter a long description of the software>
+#                    <...>
+#                    <...>
+### END INIT INFO
+
+# Author: unknown <software@cacert.org>
+
+# Do NOT "set -e"
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="cacert-gigi"
+NAME=cacert-gigi
+DAEMON=`which java`
+DAEMON_ARGS="-cp /usr/share/java/mysql-connector-java.jar:/usr/share/java/gigi.jar org.cacert.gigi.Launcher"
+PIDFILE=/var/run/$NAME.pid
+SCRIPTNAME=/etc/init.d/$NAME
+DIR=/var/lib/cacert-gigi
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
+# and status_of_proc is working.
+. /lib/lsb/init-functions
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+       if [ ! -f /etc/cacert-gigi/conf.tar ]; then
+               echo Missing gigi-configfile
+                exit 2
+        fi
+       # Return
+       #   0 if daemon has been started
+       #   1 if daemon was already running
+       #   2 if daemon could not be started
+        start-stop-daemon -b --start --quiet --pidfile $PIDFILE -d $DIR --exec $DAEMON --test > /dev/null \
+               || return 1
+       start-stop-daemon -b --start --quiet --pidfile $PIDFILE --make-pidfile -d $DIR --exec $DAEMON --no-close -- \
+               $DAEMON_ARGS < /etc/cacert-gigi/conf.tar >> /var/log/cacert-gigi.log 2>&1 \
+               || return 2
+       # The above code will not work for interpreted scripts, use the next
+       # six lines below instead (Ref: #643337, start-stop-daemon(8) )
+       # start-stop-daemon --start --quiet --pidfile $PIDFILE --startas $DAEMON \
+       #       --name $NAME --test > /dev/null \
+       #       || return 1
+       # start-stop-daemon --start --quiet --pidfile $PIDFILE --startas $DAEMON \
+       #       --name $NAME -- $DAEMON_ARGS \
+       #       || return 2
+
+       # Add code here, if necessary, that waits for the process to be ready
+       # to handle requests from services started subsequently which depend
+       # on this one.  As a last resort, sleep for some time.
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+       # Return
+       #   0 if daemon has been stopped
+       #   1 if daemon was already stopped
+       #   2 if daemon could not be stopped
+       #   other if a failure occurred
+       start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
+       RETVAL="$?"
+       [ "$RETVAL" = 2 ] && return 2
+       # Wait for children to finish too if this is a daemon that forks
+       # and if the daemon is only ever run from this initscript.
+       # If the above conditions are not satisfied then add some other code
+       # that waits for the process to drop all resources that could be
+       # needed by services started subsequently.  A last resort is to
+       # sleep for some time.
+       start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --pidfile $PIDFILE
+       [ "$?" = 2 ] && return 2
+       # Many daemons don't delete their pidfiles when they exit.
+       rm -f $PIDFILE
+       return "$RETVAL"
+}
+
+#
+# Function that sends a SIGHUP to the daemon/service
+#
+do_reload() {
+       #
+       # If the daemon can reload its configuration without
+       # restarting (for example, when it is sent a SIGHUP),
+       # then implement that here.
+       #
+       start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
+       return 0
+}
+
+case "$1" in
+  start)
+       [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
+       do_start
+       case "$?" in
+               0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+       esac
+       ;;
+  stop)
+       [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+       do_stop
+       case "$?" in
+               0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+       esac
+       ;;
+  status)
+       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+       ;;
+  #reload|force-reload)
+       #
+       # If do_reload() is not implemented then leave this commented out
+       # and leave 'force-reload' as an alias for 'restart'.
+       #
+       #log_daemon_msg "Reloading $DESC" "$NAME"
+       #do_reload
+       #log_end_msg $?
+       #;;
+  restart|force-reload)
+       #
+       # If the "reload" option is implemented then remove the
+       # 'force-reload' alias
+       #
+       log_daemon_msg "Restarting $DESC" "$NAME"
+       do_stop
+       case "$?" in
+         0|1)
+               do_start
+               case "$?" in
+                       0) log_end_msg 0 ;;
+                       1) log_end_msg 1 ;; # Old process is still running
+                       *) log_end_msg 1 ;; # Failed to start
+               esac
+               ;;
+         *)
+               # Failed to stop
+               log_end_msg 1
+               ;;
+       esac
+       ;;
+  *)
+       #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+       echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+       exit 3
+       ;;
+esac
+
+:
similarity index 100%
rename from debian/docs
rename to debian/cacert-gigi-testing.docs
diff --git a/debian/cacert-gigi-testing.manpages b/debian/cacert-gigi-testing.manpages
new file mode 100644 (file)
index 0000000..3de344b
--- /dev/null
@@ -0,0 +1 @@
+debian/gigi.1
diff --git a/debian/cacert-gigi.docs b/debian/cacert-gigi.docs
new file mode 100644 (file)
index 0000000..b43bf86
--- /dev/null
@@ -0,0 +1 @@
+README.md
diff --git a/debian/cacert-gigi.postinst b/debian/cacert-gigi.postinst
new file mode 100644 (file)
index 0000000..3a7ec74
--- /dev/null
@@ -0,0 +1,45 @@
+#!/bin/sh
+# postinst script for cacert-gigi
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+if [ -f /usr/share/debconf/confmodule ]; then
+    . /usr/share/debconf/confmodule
+fi
+
+gigi fetch-locales
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
index 1cbba3f948b51f3d112af3e19ecd9e5e52848697..001f80e60e445281ef80dc011f1f879b2091e94d 100644 (file)
@@ -11,9 +11,17 @@ Homepage: http://cacert.org
 Package: cacert-gigi
 Architecture: all
 Depends: openjdk-8-jdk-gigi, cacert-gigi-setuid, ${shlibs:Depends}, ${misc:Depends}
+Conflicts: cacert-gigi-testing
 Description: CAcert Web-DB software.
  This program is used to manage accounts and certificates.
 
+Package: cacert-gigi-testing
+Architecture: all
+Depends:  openjdk-8-jdk-gigi, cacert-gigi-setuid, ${shlibs:Depends}, ${misc:Depends}
+Conflicts: cacert-gigi
+Description: CAcert Web-DB software testing version.
+ This program is the release to the testing server.
+
 Package: cacert-gigi-setuid
 Architecture: any
 Depends: openjdk-8-jdk-gigi, ${shlibs:Depends}, ${misc:Depends}
index aaab80c600293369b589372713e331691eef67d7..04cafd29348908ebc345903c563091a8b98b4d85 100755 (executable)
@@ -21,21 +21,6 @@ override_dh_auto_build: build
 
 override_dh_auto_install:
        DESTDIR=debian/cacert-gigi ant install
+       DESTDIR=debian/cacert-gigi-testing ant install-testing
        DESTDIR=debian/cacert-gigi-setuid ant install-native
 
-binarya:
-       dh_testdir
-       dh_testroot
-       dh_installman debian/gigi.1
-       dh_installdebconf
-       dh_installchangelogs
-       dh_installinit --name=cacert-gigi
-       dh_installinit --name=cacert-gigi-signer
-       dh_installdocs
-       dh_strip
-       dh_shlibdeps
-       dh_compress
-       dh_fixperms
-       dh_installdeb
-       dh_gencontrol
-       dh_builddeb